function::probefunc
Prev | Chapter 2. Context Functions | Next

## Name

function::probefunc — Return the probe point's function name, if known

## Synopsis

        probefunc:string()

## Arguments

None

## Description

This function returns the name of the function being probed based on the current address, as computed by symname(`addr`) or usymname(`uaddr`) depending on probe context (whether the probe is a user probe or a kernel probe).

## Please note

this function's behaviour differs between SystemTap 2.0 and earlier versions. Prior to 2.0, `probefunc` obtained the function name from the probe point string as returned by `pp`, and used the current address as a fallback.

Consider using `ppfunc` instead.

Prev | Up | Next
function::probe_type | Home | function::probemod